Subject: RE: [PATCH v3 3/4] gitfaq: shallow cloning a repository

From: "Randall S. Becker" <[email-masked]>
Date: Tue, 21 Apr 2020 17:25:57 -0400

On April 21, 2020 4:58 PM, Junio C Hamano wrote:
> Subject: Re: [PATCH v3 3/4] gitfaq: shallow cloning a repository
> "Randall S. Becker" <[email-masked]> writes:
> 
> >> I have a feeling that --depth/shallow is deprecated/frowned upon
> >> these
> > days
> >> and more people recommend partial/blob-less clones instead (a few
> >> random people added to Cc: to see if they want to say something here).
> >
> > I rather hate to chime in as a dissenting opinion,...
> 
> Oh, don't hate anything.  It is greatly appreciated so that we can cover
"in
> such and such use case, this solution is good" variants for
similarly-sounding-
> but-fundamentally-different classes of problems.  We do not want to give a
> spinal-reflex answer of "use shallow" (or "use partial", for that matter)
to
> "too large a repo"
> question without contexts that guide the readers to a better choice.
> 
> That is where a well-organized FAQ list shines.

I have spoken on this topic and can probably share some of it.